package com.persagy.apm.diagnose.service.dto;

import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @ClassName AlarmRuleObjRelDTO
 * @author leifeng
 * @version 1.0.0
 * @Description 监控指标配置
 * @createTime 2021/9/23 15:12
 */
@Data
@Builder(toBuilder=true)
@NoArgsConstructor
@AllArgsConstructor
@JsonInclude(JsonInclude.Include.NON_NULL)
public class MonitorIndicatorConfigDTO {
	private String projectId;
	private String caculateMethodId;
	private String id;
	private String monitorIndicatorId;
	private String objId;
	private String groupCode;
	private String userId;
	private String pd;

}
