package com.persagy.apm.diagnose.constant;


public enum EnumValidType {

	YES(1, "有效"), NO(0, "无效");

	private int code;
	private String name;

	public int getCode() {
		return code;
	}
	public String getName() {
		return name;
	}
	EnumValidType(int code, String name) {
		this.code = code;
		this.name = name;
	}
	/**
	 * 根据编码获取ValidType枚举值
	 * @param code
	 * @return
	 */
	public static EnumValidType getEnumValidType(int code) {
		for(EnumValidType item : EnumValidType.values()) {
			if(item.getCode() == code) {
				return item;
			}
		}
		return null;
	}
}
