package com.persagy.apm.diagnose.service.dto;

import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author leifeng
 * @version 1.0.0
 * @ClassName CalculateMethodDTO
 * @Description 计算公式实体
 * @createTime 2021/9/23 15:12
 */
@Data
@Builder(toBuilder = true)
@NoArgsConstructor
@AllArgsConstructor
@JsonInclude(JsonInclude.Include.NON_NULL)
public class MonitorIndicatorConfigByEquipDTO {
    private String objId;
    private List<String> monitorIndicatorId;
    private String groupCode;
    private String userId = "test";
    private String pd = "pd";
    private String projectId;


}
